GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Types | Public Member Functions | Private Attributes | List of all members
GpgFrontend::Thread::TaskRunnerGetter Class Reference
Inheritance diagram for GpgFrontend::Thread::TaskRunnerGetter:
Collaboration diagram for GpgFrontend::Thread::TaskRunnerGetter:

## Public Types
enum | TaskRunnerType { kTaskRunnerType_Default , kTaskRunnerType_GPG , kTaskRunnerType_IO , kTaskRunnerType_Network , kTaskRunnerType_External_Process }

## Public Member Functions
| TaskRunnerGetter (int channel=SingletonFunctionObject::GetDefaultChannel())
TaskRunner * | GetTaskRunner (TaskRunnerType runner_type=kTaskRunnerType_Default)
Public Member Functions inherited from GpgFrontend::SingletonFunctionObject< TaskRunnerGetter >
| SingletonFunctionObject (const SingletonFunctionObject< TaskRunnerGetter > &)=delete
| prohibit copy
| SingletonFunctionObject (TaskRunnerGetter &&)=delete
| Construct a new Singleton Function Object object.
| SingletonFunctionObject (const TaskRunnerGetter &)=delete
| Construct a new Singleton Function Object object.
SingletonFunctionObject & | operator= (const SingletonFunctionObject< TaskRunnerGetter > &)=delete
| prohibit copy More...
void | operator= (const TaskRunnerGetter &)=delete
int | GetChannel () const
| Get the Channel object. More...
Public Member Functions inherited from GpgFrontend::ChannelObject
| ChannelObject () noexcept
| Construct a new Default Channel Object object.
| ChannelObject (int channel)
| Construct a new Channel Object object. More...
int | GetChannel () const
| Get the Channel object. More...
void | SetChannel (int channel)
| Set the Channel object. More...

## Private Attributes
std::map< TaskRunnerType, TaskRunner * > | task_runners_

## Additional Inherited Members
Static Public Member Functions inherited from GpgFrontend::SingletonFunctionObject< TaskRunnerGetter >
static TaskRunnerGetter & | GetInstance (int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
| Get the Instance object. More...
static TaskRunnerGetter & | CreateInstance (int channel, std::function< std::unique_ptr< ChannelObject >(void)> factory)
| Create a Instance object. More...
static void | ReleaseChannel (int channel)
static int | GetDefaultChannel ()
| Get the Default Channel object. More...
static std::vector< int > | GetAllChannelId ()
| Get all the channel ids. More...
Static Public Member Functions inherited from GpgFrontend::ChannelObject
static int | GetDefaultChannel ()
| Get the Default Channel object. More...
Protected Member Functions inherited from GpgFrontend::SingletonFunctionObject< TaskRunnerGetter >
| SingletonFunctionObject ()=default
| Construct a new Singleton Function Object object.
| SingletonFunctionObject (int channel)
| Construct a new Singleton Function Object object. More...
virtual | ~SingletonFunctionObject ()=default
| Destroy the Singleton Function Object object.

## Constructor & Destructor Documentation

## ◆ TaskRunnerGetter()

GpgFrontend::Thread::TaskRunnerGetter::TaskRunnerGetter | ( | int | channel = `SingletonFunctionObject::GetDefaultChannel()` | ) |

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

The documentation for this class was generated from the following files:

- src/core/thread/TaskRunnerGetter.h
- src/core/thread/TaskRunnerGetter.cpp